Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 99748 - User dir migration for Creator & VW from Creator 2 or 2u1, NB 5.5 or 5.5.1 to NB 6.0
User dir migration for Creator & VW from Creator 2 or 2u1, NB 5.5 or 5.5.1 to...
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Import Settings
6.x
All Windows XP
: P1 (vote)
: 6.x
Assigned To: rmatous
issues@platform
:
Depends on:
Blocks: 99740
  Show dependency treegraph
 
Reported: 2007-04-03 06:16 UTC by Ch Nguyen
Modified: 2008-12-22 23:11 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ch Nguyen 2007-04-03 06:16:33 UTC
This issue is part of the umbrella issue 99740. Per our earlier discussion, here
is a rough list of what need from the core team:
. Detection of Creator default user directories (2 & 2u1)
. Based on HIE feedback, possible change to the import UI dialog to prompt the
user for the user dir to be migrated since there could be multiple relevant user
dir's to be migrated on the same system
. File structure to be copied from and new file structure to be migrated to.
This likely include NB 4.1 user settings data as well as Creator specific data.
Comment 1 Ch Nguyen 2007-04-03 06:45:52 UTC
It's highly desirable that this feature is available for J1 since we can demo
this to our existing Creator users and get their feedback on this.  Another
reason is that this blocks our other project import 90448 and other related
task(s) such as 94804 features from completion in M9.

Perhaps, for M9 if possible, a simple migration of Creator specific data such as
the context.xml, jdbc drivers/*, complib/* if found Creator 2u1 default user
dir, we can assume the user doesn't have other recent NB installations... Thoughts?
Comment 2 rmatous 2007-04-12 17:37:28 UTC
/cvs/ide/launcher/upgrade/src/org/netbeans/upgrade/copy2_0,v  <--  copy2_0
initial revision: 1.1

/cvs/ide/launcher/upgrade/src/org/netbeans/upgrade/copy2_1,v  <--  copy2_1
initial revision: 1.1

/cvs/ide/launcher/upgrade/src/org/netbeans/upgrade/nonstandard2_0,v  <-- 
initial revision: 1.1

/cvs/ide/launcher/upgrade/src/org/netbeans/upgrade/Copy.java,v  <--  Copy.java
new revision: 1.9; previous revision: 1.8

/cvs/ide/launcher/upgrade/src/org/netbeans/upgrade/nonstandard2_1,v  <-- 
initial revision: 1.1

/cvs/ide/launcher/upgrade/src/org/netbeans/upgrade/PathTransformation.java,v 
initial revision: 1.1

/cvs/ide/launcher/upgrade/src/org/netbeans/upgrade/AutoUpgrade.java,v  <--  
new revision: 1.27; previous revision: 1.26
Comment 3 rmatous 2007-04-12 17:49:33 UTC
Not done for M9:
- prompt the user to select the user dir if multiple choices (planned for M10)

Done for M9:
- Detection of Creator default user directories (2 & 2u1) -
".netbeans/5.5",".netbeans/5.0",".Creator/2_1",".Creator/2_0"
-file structure copied according to to the table

See example of file structure after import (after importing Dusan's userdir):
|-- build.properties
|-- config
|   |-- 2_1
|   |   |-- context.xml
|   |   `-- jdbc-drivers
|   |       `-- datasourceconfig.xml
|   |-- Toolbox
|   |   |-- clips
|   |   |   `-- snippets.xml
|   |   `-- components
|   |       `-- components.xml
|   `-- org-netbeans-api-project-libraries
|       `-- libraries-timestamps.properties

Please, comment and check
Comment 4 John Baker 2007-04-13 07:47:49 UTC

This is the directory structure I requested to create:

|-- jdbc-drivers
|   |--- (driver jar files only, omit datasourceconfig.xml)
|-- config
|   |-- 2_1
|   |   |-- context.xml
|   |-- 5_5
|   |   |-- context.xml
|   |-- 5_5_1
|   |   |-- context.xml


Explanation:
The jdbc-drivers directory including the driver jar files are copied to the root
of the userdir and (please exclude datasourceconfig.xml)

Is there time to make these changes for M9?





Comment 5 rmatous 2007-04-13 08:59:34 UTC
/cvs/ide/launcher/upgrade/src/org/netbeans/upgrade/nonstandard2_0,v  <--  new
revision: 1.2; previous revision: 1.1

/cvs/ide/launcher/upgrade/src/org/netbeans/upgrade/nonstandard2_1,v  <--  new
revision: 1.2; previous revision: 1.1

/cvs/ide/launcher/upgrade/src/org/netbeans/upgrade/PathTransformation.java,v 
<--  new revision: 1.2; previous revision: 1.1
Comment 6 rmatous 2007-04-13 09:12:56 UTC
Fixed:
regular expression for selection: jdbc-drivers/.*\.jar + no transformation which
should ensure:
|-- jdbc-drivers
|   |--- (driver jar files only, omit datasourceconfig.xml)


I import either Netbeans(5.5 or 5.0) or Creator(2_1 or 2_0) - not both
I don't understand why should I migrate config.xml for 5.5 and 5.0  this way -
so not fixed yet(but very easy to fix it if necessary).
|-- config
|   |-- 5_5
|   |   |-- context.xml
|   |-- 5_5_1
|   |   |-- context.xml

Is there any code that will look for context.xml in folder userdir/config/5_5/?


Comment 7 John Baker 2007-04-13 17:39:45 UTC
visualweb dataconnectivity apis will use context.xml from any release
parse and add connections.   So, context.xml must be migrated for each
corresponding  release the user migrates 

for example, if user migrates 5.5 userdir then context.xml is migrated
to config/5_5/context.xml

if user migrates 5.5.1 userdir then context.xml is migrated
to config/5_5_1/context.xml

I'm unaware of a scenario where the user migrates both 5.5 and 5.5.1 userdirs at
once.  I assume 5.5 userdir settings would have been migrated by the user to 5.5.1

If such a scenario (migrating both  5.5 and 5.5.1 userdirs) exists, then
migration will look like this:
|-- config
|   |-- 5_5
|   |   |-- context.xml
|   |-- 5_5_1
|   |   |-- context.xml

Comment 8 John Baker 2007-04-13 18:47:56 UTC
You're right, there won't be a scenario where both 5.5 and 5.5.1 are migrated
so only one subfolder is needed, not both, I guess the name would be 5_5 

It appears implementation is done.  We'll test today


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo